<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\User;

class DatabaseSeeder extends Seeder
{
  /**
   * Seed the application's database.
   *
   * @return void
   */
  public function run()
  {
    $this->call(UserSeeder::class);
    $this->call(StudentSeeder::class);
    $this->call(TeacherSeeder::class);
    $this->call(AdminSeeder::class);

    $this->call(SubjectSeeder::class);
    $this->call(ScheduleSeeder::class);

    $this->call(ClassRoomSeeder::class);

    $this->call(ScheduleStudentRelSeeder::class);
    $this->call(ScheduleTeacherRelSeeder::class);
    $this->call(ScheduleSubjectRelSeeder::class);
    $this->call(ClassRoomActivitySeeder::class);

    $this->call(AttendanceSeeder::class);
    $this->call(AttendanceTeacherRelSeeder::class);

    $this->call(ExamSeeder::class);
    $this->call(ExamTeacherRelSeeder::class);

    $this->call(ExamResultSeeder::class);
    $this->call(ExamResultTeacherRelSeeder::class);

    // $this->call(PaymentInfoSeeder::class);
    $this->call(PaymentSeeder::class);

    $this->call(NoticeSeeder::class);
    $this->call(NoticeStudentRelSeeder::class);
    $this->call(NoticeTeacherRelSeeder::class);
    $this->call(NoticeAdminRelSeeder::class);

    $this->call(PresentScheduleRelSeeder::class);

    $this->call(HelloworldSeeder::class);
  }
}
